org.springframework.cloud.dataflow.completion

## Class UnfinishedConfigurationPropertyNameTaskRecoveryStrategy

- java.lang.Object
- - org.springframework.cloud.dataflow.completion.StacktraceFingerprintingTaskRecoveryStrategy<org.springframework.cloud.dataflow.core.dsl.CheckPointedParseException>
  - - org.springframework.cloud.dataflow.completion.UnfinishedConfigurationPropertyNameTaskRecoveryStrategy

- All Implemented Interfaces:
    RecoveryStrategy<org.springframework.cloud.dataflow.core.dsl.CheckPointedParseException>

      public class UnfinishedConfigurationPropertyNameTaskRecoveryStrategy
      extends StacktraceFingerprintingTaskRecoveryStrategy<org.springframework.cloud.dataflow.core.dsl.CheckPointedParseException>

  Provides completions for the case where the user has started to type an app configuration property name but it is not typed in full yet.
  Author:
    Eric Bottard, Mark Fisher, Andy Clement, Oleg Zhurakousky

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProposals(String dsl, org.springframework.cloud.dataflow.core.dsl.CheckPointedParseException exception, int detailLevel, List<CompletionProposal> collector)` Perform code completion by adding proposals to the `proposals` list.

    - ### Methods inherited from class org.springframework.cloud.dataflow.completion.StacktraceFingerprintingTaskRecoveryStrategy

      `shouldTrigger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addProposals

          public void addProposals(String dsl,
                                   org.springframework.cloud.dataflow.core.dsl.CheckPointedParseException exception,
                                   int detailLevel,
                                   List<CompletionProposal> collector)

      Description copied from interface: `RecoveryStrategy`
      Perform code completion by adding proposals to the `proposals` list.
      Parameters:
        `dsl` - the partial DSL text
        `exception` - the exception thrown when parsing the DSL text
        `detailLevel` - an integer describing the level of detail to include in proposal, starting at 1. Higher values request more detail, with values typically in the range [1..5]
        `collector` - the list of completion proposals to show the user

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.